var fs = require('fs');
var life = require('./life-cycle');
var logger = require('./logger').common;

var dest = life.destination;
var uninstall = life.uninstall;

function uninstaller(options){
	if(!options){
		options = {};
	}
	if(fs.existsSync(dest)){
	    uninstall(dest, options.callback);
	}
	else{
	    logger.warn("no installation found, exitting");
	}	
}


if (require.main === module) {
    uninstaller();
}
else{
    (module).exports = uninstaller;
}

