module.exports = function(grunt) {
    grunt.registerMultiTask('addgearsRun', 'run Javascript in Addgears', function(){
    	var path = require("path")
		var addgears = require('addgears');

        var done = this.async();
        var options = this.options({callback: done});

        if(!this.files.length && this.data.page){
            addgears.page(this.data.page, options);
            return;
        }

		if(this.files.length != 1 || this.files[0].src.length != 1){
			grunt.fail.fatal("There should be only one file to run");
		}
		
		var file = path.resolve(this.files[0].src[0]);
		addgears.run(file, options);
    });    	
}