

module.exports = function(grunt) {    
    grunt.registerMultiTask('addgearsApplyUpdate', 'apply Addgears updates', function(){
        var fs = require("fs");
        var path = require("path");

		var addgears = require('addgears');
        var rmDirSync = addgears.lifeCycle.rmDirSync;
        var copyDirSyncRecursive = addgears.lifeCycle.copyDirSyncRecursive;
        var updateDir = addgears.dest("update");

        if(fs.existsSync(updateDir)){
            rmDirSync(updateDir);
        }

        var files = [];
        this.files.forEach(function (f){
            files = files.concat(f.src);
        });

        var done = this.async();
        var options = this.options();
        options.callback = function(){
            i++;
            if(i < files.length){
                copy();
            }
            else{
                done();
            }
        };
        var i = 0;

        function copy(){
            var file = path.resolve(files[i]);
            // console.log(file, updateDir)
            copyDirSyncRecursive(file, updateDir);            
            addgears.update(options);      
        }
        copy();
    });    	
}