module.exports = function(grunt) {
    grunt.registerTask('install', 'install Addgears', function(){
        var intaller = require('../lib/install');
        var done = this.async();
        intaller({callback: done});
    });

    grunt.registerTask('uninstall', 'uninstall Addgears', function(){
        var unintaller = require('../lib/uninstall');
        var done = this.async();
        unintaller({callback: done});
    });

    grunt.registerTask('version', 'download Addgears update', function(){
        var addgears = require('addgears');
        var version = require(addgears.dest("app.nw/addgears.conf.json"));
        console.log(version.ver);
    });      

    grunt.registerMultiTask('downloadUpdate', 'download Addgears update', function(){
        var addgears = require('addgears');
        var options = addgears.options(this.options({
            path: 'update.zip'
        }));
        var done = this.async();

        addgears.download(options.update, options.path, done);
    });      	
}